<div class="menu">
  <h1 class="menu__title">Menu title</h1>
  <div class="menu-list">
    <div *ngFor="let item of tree" class="menu-list__item">
      <div class="menu-list__icon">
        <img [src]="item.icon" alt="">
      </div>
      <div class="menu-list__title">
        {{ item.title }}
      </div>
      <div *ngIf="item.child.length > 0" class="menu-list__underline"></div>
      <div *ngIf="item.child.length > 0" class="menu-list">
        <div *ngFor="let childItem of item.child"
             class="menu-list__item menu-list__item--hover"
             [routerLink]="[childItem.route]"
             [routerLinkActive]="'menu-list__item--active'"
             (click)="emitClose()"
        >
          <div class="menu-list__icon">
            <img [src]="childItem.icon" alt="">
          </div>
          <div class="menu-list__title">
            {{ childItem.title }}
          </div>
          <div class="menu-list__arrow">
            <img src="assets/icons/right-arrow.svg" alt="">
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
